package com.ym.admodule.widget

object ZXRenderingConfig {

    private var width = 0
    private var height = 0
    private var titleColor = "#000000"
    private var titleSize = 0
    private var desColor = "#000000"
    private var desSize = 0

    private var zxRenderingConfig: ZXRenderingConfig = ZXRenderingConfig

    fun Build(): ZXRenderingConfig {
        return zxRenderingConfig
    }

    fun setWidth(s: Int): ZXRenderingConfig {
        width = s
        return zxRenderingConfig
    }

    fun setHeight(s: Int): ZXRenderingConfig {
        height = s
        return zxRenderingConfig
    }

    fun setTitleColor(s: String): ZXRenderingConfig {
        titleColor = s
        return zxRenderingConfig
    }

    fun setTitleSize(s: Int): ZXRenderingConfig {
        titleSize = s
        return zxRenderingConfig
    }

    fun setSubtitleSize(s: Int): ZXRenderingConfig {
        desSize = s
        return zxRenderingConfig
    }

    fun setSubtitleColor(s: String): ZXRenderingConfig {
        desColor = s
        return zxRenderingConfig
    }

    fun getWidth(): Int {
        return width
    }

    fun getHeight(): Int{
        return height
    }

    fun getTitleSize() :Int{
        return titleSize
    }




}